﻿namespace XamDataGridRecycle
{
  using System.Windows;
  using System.Windows.Controls;
  using System.Windows.Media;
  using Infragistics.Windows.DataPresenter;

  public class CustomizableGrid : Grid
  {
    public static readonly DependencyProperty HeaderTextProperty =
        DependencyProperty.Register("HeaderText", typeof(string), typeof(CustomizableGrid), new PropertyMetadata(string.Empty));

    public static readonly DependencyProperty DefaultBackgroundProperty =
        DependencyProperty.Register("DefaultBackground", typeof(Brush), typeof(CustomizableGrid), new PropertyMetadata(null));

    public CustomizableGrid()
    {
            //this.Initialized += this.CustomizableGrid_Initialized;
        }

    public string HeaderText
    {
      get { return (string)this.GetValue(HeaderTextProperty); }
      set { this.SetValue(HeaderTextProperty, value); }
    }

    public Brush DefaultBackground
    {
      get { return (Brush)this.GetValue(DefaultBackgroundProperty); }
      set { this.SetValue(DefaultBackgroundProperty, value); }
    }

        //private void CustomizableGrid_Initialized(object sender, System.EventArgs e)
        //{
        //    Color tempColor;

        //    if (App.RandomSettings.TryGetValue((this.TemplatedParent as LabelPresenter)?.Field.Name, out tempColor))
        //    {
        //        this.Background = new SolidColorBrush(tempColor);
        //    }
        //    else
        //    {
        //        this.Background = this.DefaultBackground;
        //    }
        //}
    }
}
