﻿using Infragistics.Windows.DataPresenter;
using Microsoft.Xaml.Behaviors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace XamDataGridRecycle
{
    public class HeaderHighlightBehavior : Behavior<XamDataGrid>
    {
        protected override void OnAttached()
        {
            base.OnAttached();
            AssociatedObject.FieldLayoutInitialized += AssociatedObject_FieldLayoutInitialized;
        }

        private void AssociatedObject_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            FieldLayout layout = e.FieldLayout;
            Dictionary<string, Color> appSettings = App.RandomSettings;

            foreach(Field field in layout.Fields)
            {
                if (appSettings.ContainsKey(field.Name))
                {
                    field.Settings.LabelPresenterStyle = LabelPresenterStyleGenerationFactory(new SolidColorBrush(appSettings[field.Name]));
                }
            }
        }


        public Style LabelPresenterStyleGenerationFactory(SolidColorBrush brush)
        {
            Style style = new Style(typeof(LabelPresenter));
            style.BasedOn = AssociatedObject.Resources["lpStyle"] as Style;
            style.Setters.Add(new Setter(LabelPresenter.BackgroundProperty, brush));
            return style;
        }
    }
}
